
Figure - Bug #118629
IOVDEV-33272【内部】【VC1】【0106】【台架】【EE环境】【副屏】【第三方应用】优酷视频观看历史视
频出现页面无响应
2023-06-07 21:06 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-07

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106

Resolution: WONTFIX Degrated: --

Severity: Major Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause: 是APP内部逻辑出现问题，导致了ANR，该问题是第三方应用问题。

Description

【环境信息】：EE环境

【问题出现时间】：2023/06/07 16:55 第209次开机

【前提条件】：

1、会员账号

【操作步骤】：

1、打开优酷视频

2、进入我的

3、点击其中一个历史观看

【实际结果】

出现无响应，按键无响应，重启变为正常

【期望结果】

可以响应正常

【备注】：

【应用版本】：

【硬件版本号】：不涉及

【副屏版本号】：01.00.0106.C104

【中控版本号】：03.02.0088.C103.02_userdebug_2306021732

【中控VIN】HRYTTESTVINMGM403

【第三方应用版本号】优酷视频 11.0.27

Related issues:

Related to Figure - Bug # 118721: 【IOVDEV-33767】【内部】【VC1】... CLOSED 2023-06-09

History

#1 - 2023-06-08 10:18 - CD FW 曹覃刚

- Category changed from CD-FW to AUDIO-FW

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to Multimedia组-RD3_TSCD 梁卿山

2025-07-04 1/3



Hi 卿山

如线下沟通

发生的几次ANR，全部block在设置视频播放速度这

请帮忙从audio的角度检查是否是应用自身问题，谢谢

--------------

"main" prio=5 tid=1 Native  | group="main" sCount=1 ucsCount=0 flags=1 obj=0x72c760a8 self=0xb40000758db2b380  | sysTid=1894 nice=-10 cgrp=default sched=0/0

handle=0x775664c4f8  | state=S schedstat=( 2341150338 249489392 3613 ) utm=194 stm=39 core=4 HZ=100  | stack=0x7fc87d5000-0x7fc87d7000 stackSize=8188KB  |

held mutexes=

  native: #00 pc 000000000004def0  /apex/com.android.runtime/lib64/bionic/libc.so (syscall+32)

  native: #01 pc 00000000000527bc  /apex/com.android.runtime/lib64/bionic/libc.so (_futex_wait_ex(void volatile*, bool, int, bool, timespec const*)+148)

  native: #02 pc 00000000000b7d74  /apex/com.android.runtime/lib64/bionic/libc.so (NonPI::MutexLockWithTimeout(pthread_mutex_internal_t*, bool, timespec

const*)+672)

  native: #03 pc 0000000000094ef8  /data/app/~~DtHsqZ9HazTiL-x5zETFvg==/com.youku.phone-spOaVK2muFnypMo6IaUrIQ==/lib/arm64/libc++_shared.so (std::

_ndk1::recursive_mutex::lock()+8)

  native: #04 pc 00000000000bcac0  /data/app/~~DtHsqZ9HazTiL-x5zETFvg==/com.youku.phone-spOaVK2muFnypMo6IaUrIQ==/lib/arm64/libalixplayer.so

(alix::Timeline::AccessCurrentBound(std::__ndk1::function<void (std::__ndk1::shared_ptr<alix::PlayBound>)>)+48)

  native: #05 pc 000000000006b3bc  /data/app/~~DtHsqZ9HazTiL-x5zETFvg==/com.youku.phone-spOaVK2muFnypMo6IaUrIQ==/lib/arm64/libalixplayer.so (???)

  native: #06 pc 0000000000062a1c  /data/app/~~DtHsqZ9HazTiL-x5zETFvg==/com.youku.phone-spOaVK2muFnypMo6IaUrIQ==/lib/arm64/libalixplayer.so

(alix::MixedCodecsPlayer::accessTimeline(int, std::__ndk1::function<void (alix::Timeline*)>)+72)

  native: #07 pc 00000000000635d4  /data/app/~~DtHsqZ9HazTiL-x5zETFvg==/com.youku.phone-spOaVK2muFnypMo6IaUrIQ==/lib/arm64/libalixplayer.so

(alix::MixedCodecsPlayer::setParameter(int, aliplayer::Param const&, int)+252)

  native: #08 pc 0000000000041954  /data/app/~~DtHsqZ9HazTiL-x5zETFvg==/com.youku.phone-spOaVK2muFnypMo6IaUrIQ==/lib/arm64/libalixplayer.so

(alix_player::SetPlaySpeed(_JNIEnv*, _jobject*, double)+164)

  at com.youku.alixplayer.instances.Aliplayer.setPlaySpeed(Native method)

  at com.youku.alixplayer.AlixPlayer.setPlaySpeed(SourceFile:2)

  at j.n0.m4.t0.p.d.setPlaySpeed(SourceFile:3)

  at j.n0.m4.t0.b.setPlaySpeed(SourceFile:1)

  at j.n0.j4.r.i.g.setPlaySpeed(SourceFile:5)

  at java.lang.reflect.Method.invoke(Native method)

  at com.youku.kubus.EventBus.invokeSubscriber(SourceFile:17)

  at com.youku.kubus.EventBus.postToSubscriptionImmediately(SourceFile:4)

  at com.youku.kubus.EventBus.postImmediately(SourceFile:13)

  at com.youku.kubus.EventBus.post(SourceFile:10)

  at com.youku.kubus.EventBus.post(SourceFile:1)

  at j.n0.m4.d0.c(SourceFile:11)

  at j.n0.m4.d0.d(SourceFile:3)

  at j.n0.m4.d0.f(SourceFile:1)

  at j.n0.m4.i.setPlaySpeed(SourceFile:2)

  at j.n0.k4.l0.h2.i.onRealVideoStart(SourceFile:36)

  at java.lang.reflect.Method.invoke(Native method)

  at com.youku.kubus.EventBus.invokeSubscriber(SourceFile:17)

  at com.youku.kubus.EventBus.postToSubscriptionImmediately(SourceFile:4)

  at com.youku.kubus.EventBus.postImmediately(SourceFile:13)

  at com.youku.kubus.EventBus.post(SourceFile:10)

  at com.youku.newdetail.business.player.plugin.DetailPluginsLoader$f.a(SourceFile:13)

  at com.youku.newdetail.business.player.plugin.DetailPluginsLoader$f.onPluginCreatedPosting(SourceFile:2)

  at java.lang.reflect.Method.invoke(Native method)

  at com.youku.kubus.EventBus.invokeSubscriber(SourceFile:17)

  at com.youku.kubus.EventBus.postToSubscriptionImmediately(SourceFile:4)

  at com.youku.kubus.EventBus.postImmediately(SourceFile:13)

  at com.youku.kubus.EventBus.post(SourceFile:10)

  at com.youku.kubus.EventBus.post(SourceFile:1)

  at com.youku.oneplayer.PluginManager.sentPluginCreatedEvent(SourceFile:8)
  at com.youku.oneplayer.PluginManager.createPluginFromConfig(SourceFile:20)

  at com.youku.newdetail.business.player.plugin.DetailPluginsLoader.doLoadingLazyPlugins(SourceFile:27)

  at com.youku.newdetail.business.player.plugin.DetailPluginsLoader.access$600(SourceFile:1)

  at com.youku.newdetail.business.player.plugin.DetailPluginsLoader$c.run(SourceFile:1)

  at android.os.Handler.handleCallback(Handler.java:938)

  at android.os.Handler.dispatchMessage(Handler.java:99)

  at android.os.Looper.loopOnce(Looper.java:201)

  at android.os.Looper.loop(Looper.java:288)

  at android.app.ActivityThread.main(ActivityThread.java:7880)

  at java.lang.reflect.Method.invoke(Native method)

  at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

  at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

--------------

#2 - 2023-06-08 14:42 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

根据当前日志分析：

在发生ANR的时间，

焦点申请正常，

优酷创建codec正常，

播放的player优酷自身实现的，

根据anr中的打印，

是优酷自身的libalixplayer.so中出现异常导致了anr；

该问题是应用自身出现异常导致。

#3 - 2023-06-09 10:13 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Resolution changed from -- to WONTFIX

- Root cause set to 是APP内部逻辑出现问题，导致了ANR，该问题是第三方应用问题。

HI 永红

该问题是APP内部逻辑出现问题，导致了ANR，该问题是第三方应用问题。

#4 - 2023-06-25 14:27 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#5 - 2023-06-25 14:27 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

优酷视频观看历史视频出现页面无响应.7z 37.2 MB 2023-06-07 CD TEST-方永红
